Opened 6 years ago

Closed 5 years ago

#2511 closed bug (invalid)

unix package doesnt load in ghci on freebsd/amd64

Reported by: newsham Owned by:
Priority: normal Milestone: 6.10.2
Component: libraries/unix Version: 6.8.2
Keywords: Cc:
Operating System: FreeBSD Architecture: x86_64 (amd64)
Type of failure: Difficulty: Unknown
Test Case: Blocked By:
Blocking: Related Tickets:

Description (last modified by igloo)

When loading the "unix" package in ghci, the interpreter gives a link error:

$ ghci -package unix
GHCi, version 6.8.2: http://www.haskell.org/ghc/  :? for help
Loading package base ... linking ... done.
Loading package old-locale-1.0.0.0 ... linking ... done.
Loading package old-time-1.0.0.0 ... linking ... done.
Loading package filepath-1.1.0.0 ... linking ... done.
Loading package directory-1.0.0.0 ... linking ... done.
Loading package unix-2.3.0.0 ... ghc-6.8.2: can't load .so/.DLL for: util (/usr/lib/libutil.so: Undefined symbol "__mb_sb_limit")

As noted above this is ghc-6.8.2. I built from sources. My machine is:

FreeBSD hpsux 7.0-RELEASE FreeBSD 7.0-RELEASE #0: Sat Mar  8 14:07:11 HST 2008     root@hpsux:/usr/obj/usr/src/sys/GENERIC  amd64

Change History (5)

comment:1 Changed 6 years ago by igloo

  • Description modified (diff)
  • Difficulty set to Unknown

comment:2 Changed 6 years ago by igloo

  • Milestone set to 6.10.1

Based on a quick google, it looks like this is a FreeBSD libc thing. Did you build against the same libc you are running?

comment:3 Changed 6 years ago by obraun

I cannot reproduce this on FreeBSD 7.1-PRERELEASE amd64 using lang/ghc. Please update your ghc using the FreeBSD port and retry.

comment:4 Changed 5 years ago by igloo

  • Milestone changed from 6.10.1 to 6.10.2

comment:5 Changed 5 years ago by igloo

  • Resolution set to invalid
  • Status changed from new to closed

No response from submitter, so closing.

Note: See TracTickets for help on using tickets.